## ide-progress ide-progress |

## Functions

#define | IDE_TYPE_PROGRESS
IdeProgress * | ide_progress_new ()
gdouble | ide_progress_get_fraction ()
const gchar * | ide_progress_get_message ()
void | ide_progress_set_fraction ()
void | ide_progress_set_message ()
void | ide_progress_file_progress_callback ()

## Properties

gboolean | completed | Read
gdouble | fraction | Read / Write
gchar * | message | Read / Write

## Types and Values

| IdeProgress

## Object Hierarchy

        GObject
        ╰── IdeProgress

## Description

## Functions

### IDE_TYPE_PROGRESS

    #define IDE_TYPE_PROGRESS (ide_progress_get_type())

### ide_progress_new ()

    IdeProgress *
    ide_progress_new (void);

### ide_progress_get_fraction ()

    gdouble
    ide_progress_get_fraction (IdeProgress *self);

### ide_progress_get_message ()

    const gchar *
    ide_progress_get_message (IdeProgress *self);

### ide_progress_set_fraction ()

    void
    ide_progress_set_fraction (IdeProgress *self,
                               gdouble fraction);

### ide_progress_set_message ()

    void
    ide_progress_set_message (IdeProgress *self,
                              const gchar *message);

### ide_progress_file_progress_callback ()

    void
    ide_progress_file_progress_callback (goffset current_num_bytes,
                                         goffset total_num_bytes,
                                         gpointer user_data);

This function is a GFileProgressCallback helper that will update the “fraction” property. `user_data` must be an IdeProgress.

Remember to make sure to unref the IdeProgress instance with `g_object_unref()` during the GDestroyNotify.

## Types and Values

### IdeProgress

    typedef struct _IdeProgress IdeProgress;

## Property Details

### The `“completed”` property

      “completed”                gboolean

If the progress has completed.

Flags: Read

Default value: FALSE

### The `“fraction”` property

      “fraction”                 gdouble

The fraction of the progress.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“message”` property

      “message”                  gchar *

A short message for the progress.

Flags: Read / Write

Default value: NULL